jueves, 4 de diciembre de 2014

gvSIG 1.12 en Yosemite

En las décimas jornadas de gvSIG nos han vuelto a prometer una versión para Mac. Entre tanto y dado que Yosemite compremete la usabilidad de gvSIG os adjunto una serie de trucos para hacer funcionar tanto gvSIG 1.12 como gvSIG CE Beta Edition.
Para que corra la versión anterior en Yosemite (MacOS 10.10.1)
Hay que instalar Java 1.6
http://support.apple.com/kb/DL1572
Da igual que salga un león, se trata de la versión Java 1.6 para Mac
También se puede instalar la 1.8 pero antes que la 1.6
/usr/libexec/java_home -v
Dice cual es la versión que estas corriendo
parece que no hay incompatibilidad porque si se quiere usar la 1.8 se puede usar
export JAVA_HOME=`/usr/libexec/java_home -v 1.8`
que apuntará a
/Library/Java/JavaVirtualMachines/jdk1.8.0_25.jdk/Contents/Home
mientras que gvSIG 1.12 busca la 1.6 en:
/System/Library/Frameworks/JavaVM.framework/Versions
Inspirado en
http://www.jayway.com/2014/01/15/how-to-switch-jdk-version-on-mac-os-x-maverick/
y
http://stackoverflow.com/questions/6588390/where-is-java-home-on-osx-yosemite-10-10-mavericks-10-9-mountain-lion-10

1 comentario:

Jorge Braña Hernández dijo...

¡Hola amigos!

Soy nuevo en esto del gvSIG! Actualmente estoy haciendo un curso on-line que ofrece el CEPOAT, vinculado a la Universidad de Murcia (más que recomendable su oferta formativa, por cierto).

Al descargarme e instalar la versión para mac alojada en MEGA de este blog. No he tenido ningún problema. Sin embargo, a la hora de configurar el localizador se muestra un panel de alerta que dice lo siguiente:

"No se pudieron cargar algunos paneles a partir de un punto de extensión."

¿Alguien sabe a qué se debe?

Gracias y un saludo.